const express = require("express");
const router = express.Router();
const maquinasController = require("../controllers/maquinasController");

// Route for getting all maquinas
router.get("/maquinas", maquinasController.getAllMaquinas);

// Route for getting a specific user by ID
router.get("/maquinas/:id", maquinasController.getMaquinaById);

// Route for creating a new user
router.post("/maquinas", maquinasController.createMaquina);

// Route for updating a user by ID
router.put("/maquinas/:id", maquinasController.updateMaquina);

// Route for deleting a user by ID
router.delete("/maquinas/:id", maquinasController.deleteMaquina);

module.exports = router;
